org.yaml.snakeyaml.composer

## Class ComposerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.yaml.snakeyaml.error.YAMLException
        - - org.yaml.snakeyaml.error.MarkedYAMLException
          - - org.yaml.snakeyaml.composer.ComposerException

All Implemented Interfaces:
  Serializable

    public class ComposerException
    extends MarkedYAMLException

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `ComposerException(String context, Mark contextMark, String problem, Mark problemMark)`

### Method Summary

### Methods inherited from class org.yaml.snakeyaml.error.MarkedYAMLException

`getContext, getContextMark, getMessage, getProblem, getProblemMark, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ComposerException

    protected ComposerException(String context,
                     Mark contextMark,
                     String problem,
                     Mark problemMark)